- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Create PARAMHASH
  - LoadByParams
  - Load
  - TargetURI
  - TargetObj
  - BaseURI
  - BaseObj
  - id
  - Base
  - SetBase VALUE
  - Target
  - SetTarget VALUE
  - Type
  - SetType VALUE
  - LocalTarget
  - SetLocalTarget VALUE
  - LocalBase
  - SetLocalBase VALUE
  - LastUpdatedBy
  - LastUpdated
  - Creator
  - Created

# NAME

      RT::Link - an RT Link object

# SYNOPSIS

      use RT::Link;

# DESCRIPTION

This module should never be called directly by client code. it's an internal module which should only be accessed through exported APIs in Ticket other similar objects.

# METHODS

## Create PARAMHASH

Create a new link object. Takes 'Base', 'Target' and 'Type'. Returns undef on failure or a Link Id on success.

## LoadByParams

      Load an RT::Link object from the database.  Takes three parameters

      Base => undef,
      Target => undef,
      Type =>undef

      Base and Target are expected to be integers which refer to Tickets or URIs
      Type is the link type

## Load

      Load an RT::Link object from the database.  Takes one parameter, the id of an entry in the links table.

## TargetURI

returns an RT::URI object for the "Target" of this link.

## TargetObj

## BaseURI

returns an RT::URI object for the "Base" of this link.

## BaseObj

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## Base

Returns the current value of Base. (In the database, Base is stored as varchar(240).)

## SetBase VALUE

Set Base to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Base will be stored as a varchar(240).)

## Target

Returns the current value of Target. (In the database, Target is stored as varchar(240).)

## SetTarget VALUE

Set Target to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Target will be stored as a varchar(240).)

## Type

Returns the current value of Type. (In the database, Type is stored as varchar(20).)

## SetType VALUE

Set Type to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Type will be stored as a varchar(20).)

## LocalTarget

Returns the current value of LocalTarget. (In the database, LocalTarget is stored as int(11).)

## SetLocalTarget VALUE

Set LocalTarget to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, LocalTarget will be stored as a int(11).)

## LocalBase

Returns the current value of LocalBase. (In the database, LocalBase is stored as int(11).)

## SetLocalBase VALUE

Set LocalBase to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, LocalBase will be stored as a int(11).)

## LastUpdatedBy

Returns the current value of LastUpdatedBy. (In the database, LastUpdatedBy is stored as int(11).)

## LastUpdated

Returns the current value of LastUpdated. (In the database, LastUpdated is stored as datetime.)

## Creator

Returns the current value of Creator. (In the database, Creator is stored as int(11).)

## Created

Returns the current value of Created. (In the database, Created is stored as datetime.)

← Back to index